import { Location } from '@angular/common';
import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * To be embedded in any view to print a section of the view marked by element id.
 */
export declare class PrintComponent implements OnInit {
    private ele;
    private location;
    private cssUrl;
    section: string;
    sectionChange: EventEmitter<any>;
    constructor(ele: ElementRef, location: Location, cssUrl: string);
    ngOnInit(): void;
    printDiv(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PrintComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PrintComponent, "print-page", never, { "section": { "alias": "section"; "required": false; }; }, { "sectionChange": "sectionChange"; }, never, never, false, never>;
}
