import { OnInit, OnDestroy } from '@angular/core';
import { WaitMessage, WaitProgressService } from '../_ui_services/index';
import * as i0 from "@angular/core";
/**
 * display wait with mat-progress-bar, controllable by mode and value.
 */
export declare class WaitProgressComponent implements OnInit, OnDestroy {
    private waitService;
    message: WaitMessage;
    private bs;
    constructor(waitService: WaitProgressService);
    loading: boolean;
    value: number | undefined;
    bufferValue: number;
    mode: 'determinate' | 'indeterminate' | 'buffer' | 'query';
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WaitProgressComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WaitProgressComponent, "waitProgress", never, { "value": { "alias": "value"; "required": false; }; "bufferValue": { "alias": "bufferValue"; "required": false; }; }, {}, never, never, false, never>;
}
