import { MatDialogRef } from '@angular/material/dialog';
import * as i0 from "@angular/core";
/**
 * Confirmation to say Yes or No. When saying Yes, return result true, otherwise, return activeModal.dismiss().
 * This component is used by ConfirmService, which actionLabel and cancelLabel can be overriden by client calls.
 */
export declare class ConfirmComponent {
    private data;
    actionsAlign: string;
    private dialogRef;
    title: string;
    body: string;
    actionLabel: string;
    cancelLabel: string;
    constructor(data: {
        title: string;
        body: string;
        action: string;
        cancel: string;
    }, actionsAlign: string, dialogRef: MatDialogRef<ConfirmComponent>);
    confirm(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ConfirmComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ConfirmComponent, "confirm-content", never, { "title": { "alias": "title"; "required": false; }; "body": { "alias": "body"; "required": false; }; }, {}, never, never, false, never>;
}
