import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { AlertSubjectMessage, LocalAlertService } from '../_ui_services/index';
import * as i0 from "@angular/core";
/**
 * Alert to render element alert in a component through LocalAlertService.
 * And alert message is also written into console with respective alert type.
 */
export declare class AlertComponent implements OnInit, OnDestroy {
    private alertService;
    private ref;
    private alive;
    message: AlertSubjectMessage;
    get hasContent(): boolean;
    constructor(alertService: LocalAlertService, ref: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlertComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AlertComponent, "alert", never, {}, {}, never, never, false, never>;
}
