import { HttpErrorResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { AlertSubjectMessage } from './types';
import * as i0 from "@angular/core";
/**
 * To display in the alert component AlertComponent <alert> which is to be rendered in parent template HTML.
 */
export declare class LocalAlertService {
    private subject;
    constructor();
    success(message: string): void;
    info(message: string): void;
    error(error: HttpErrorResponse | any): void;
    warn(error: HttpErrorResponse | any): void;
    response(r: HttpErrorResponse): void;
    private handleResponse;
    getMessage(): Observable<AlertSubjectMessage>;
    clear(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LocalAlertService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LocalAlertService>;
}
