import * as i0 from "@angular/core";
import * as i1 from "./htmlDialog.component";
import * as i2 from "./htmlFrameDialog.component";
import * as i3 from "./textDialog.component";
import * as i4 from "./confirm.component";
import * as i5 from "./options.component";
import * as i6 from "./textInput.component";
import * as i7 from "./passwordsInput.component";
import * as i8 from "./logDialog.component";
import * as i9 from "./logSnack.component";
import * as i10 from "./notifications.component";
import * as i11 from "./timePicker.component";
import * as i12 from "./dataComponentDialog.component";
import * as i13 from "./dateRangePicker.component";
import * as i14 from "./dateHourRangePicker.component";
import * as i15 from "./itemListDialog.component";
import * as i16 from "./localTextEditorDialog.component";
import * as i17 from "@angular/common";
import * as i18 from "@angular/forms";
import * as i19 from "../ngmd.module";
import * as i20 from "nmce-directives";
/**
 * Contain components. Other feature modules that need to access custom html element of components like my-datetimepicker still need to import this module explicitly.
 * It is a bit strange that Ng2 could pick this module up though I had explicitly import it only in ml_appointments.module for datetime picker.???
 */
export declare class Nmce_UI_ServicesModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<Nmce_UI_ServicesModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<Nmce_UI_ServicesModule, [typeof i1.HtmlDialogComponent, typeof i1.HtmlHRefDialogComponent, typeof i2.HtmlFrameDialogComponent, typeof i2.HtmlHRefFrameDialogComponent, typeof i3.TextDialogComponent, typeof i3.TextHRefDialogComponent, typeof i1.HtmlImgDialogComponent, typeof i4.ConfirmComponent, typeof i5.OptionsComponent, typeof i6.TextInputComponent, typeof i7.PasswordsInputComponent, typeof i8.LogDialogComponent, typeof i9.LogSnackComponent, typeof i10.NotificationsComponent, typeof i11.TimePickerComponent, typeof i12.DataComponentDialog, typeof i13.DateRangePickerComponent, typeof i14.DateHourRangePickerComponent, typeof i15.ItemListDialogComponent, typeof i16.LocalTextEditorDialogComponent], [typeof i17.CommonModule, typeof i18.FormsModule, typeof i19.NGMDModule, typeof i18.ReactiveFormsModule, typeof i20.NmceDirectivesModule], [typeof i1.HtmlDialogComponent, typeof i1.HtmlHRefDialogComponent, typeof i2.HtmlFrameDialogComponent, typeof i2.HtmlHRefFrameDialogComponent, typeof i1.HtmlImgDialogComponent, typeof i3.TextDialogComponent, typeof i3.TextHRefDialogComponent, typeof i4.ConfirmComponent, typeof i5.OptionsComponent, typeof i6.TextInputComponent, typeof i7.PasswordsInputComponent, typeof i8.LogDialogComponent, typeof i9.LogSnackComponent, typeof i10.NotificationsComponent, typeof i12.DataComponentDialog, typeof i13.DateRangePickerComponent, typeof i14.DateHourRangePickerComponent, typeof i16.LocalTextEditorDialogComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<Nmce_UI_ServicesModule>;
}
