import { Observable } from 'rxjs';
import { MatDialog } from '@angular/material/dialog';
import * as i0 from "@angular/core";
/**
 * Confirmation with multiple options as buttons horizontally.
 */
export declare class OptionsService {
    private dialog;
    constructor(dialog: MatDialog);
    /**
     * Display a list of options. With OptionsComponent, it will be a list of buttons labeled by the option texts.
     * @param title
     * @param body
     * @param options
     * @returns the selected option
     */
    open(title: string, body: string, options: string[]): Observable<string>;
    static ɵfac: i0.ɵɵFactoryDeclaration<OptionsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<OptionsService>;
}
