import { FormControl } from '@angular/forms';
import { MatDialog, MatDialogRef } from '@angular/material/dialog';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
/**
 * Define password.
 */
export declare class PasswordsInputComponent {
    data: {
        title: string;
    };
    actionsAlign: string;
    dialogRef: MatDialogRef<PasswordsInputComponent>;
    title: string;
    passwordControl: FormControl<null | undefined>;
    confirmPasswordControl: FormControl<null | undefined>;
    constructor(data: {
        title: string;
    }, actionsAlign: string, dialogRef: MatDialogRef<PasswordsInputComponent>);
    confirm(): void;
    get saveEnabled(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<PasswordsInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PasswordsInputComponent, "passwordsInput", never, { "title": { "alias": "title"; "required": false; }; }, {}, never, never, false, never>;
}
/**
 * Defining password in a dialog
 */
export declare class PasswordsInputService {
    private dialog;
    constructor(dialog: MatDialog);
    open(title: string): Observable<string>;
    static ɵfac: i0.ɵɵFactoryDeclaration<PasswordsInputService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PasswordsInputService>;
}
