import { MatDialog } from '@angular/material/dialog';
import { DataComponentDialogService } from '../_ui_services/dataComponentDialog.component';
import * as i0 from "@angular/core";
/**
 * Simple inheritance from DataComponentDialogService, Show a component in a dialog, for component defined in a lazy module.
 * And this service should be provided in the lazy module.
 */
export declare class LazyComponentDialogService extends DataComponentDialogService {
    constructor(dialog: MatDialog);
    static ɵfac: i0.ɵɵFactoryDeclaration<LazyComponentDialogService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LazyComponentDialogService>;
}
